## cargo 0.1.10

=== DESCRIPTION ===
Package: cargo
Type: Package
Title: Download and Run Cargo, the Rust Package Manager
Version: 0.1.10
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu"))
Description: Tools are provided to download, install, and run 'Cargo' <https://doc.rust-lang.org/cargo/>
    (the 'Rust' <https://www.rust-lang.org/> package manager). Other packages based on Rust can declare
    'LinkingTo: cargo' in their DESCRIPTION file and then access Cargo during the installation of their
    source package.
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.0.0)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-03-03 21:48:27 UTC; dahl
Author: David B. Dahl [aut, cre]
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2021-03-05 09:10:05 UTC

## cargo 0.1.19

=== DESCRIPTION ===
Package: cargo
Type: Package
Title: Download and Run Cargo, the Rust Package Manager
Version: 0.1.19
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
Description: Tools are provided to download, install, and run 'Cargo' <https://doc.rust-lang.org/cargo/>
    (the 'Rust' <https://www.rust-lang.org/> package manager). Other packages based on Rust can declare
    'LinkingTo: cargo' in their DESCRIPTION file and then access Cargo during the installation of their
    source package.
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 3.6.0)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-03-09 05:38:32 UTC; dahl
Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2021-03-09 07:40:04 UTC

## cargo 0.1.28

=== DESCRIPTION ===
Package: cargo
Type: Package
Title: Download and Run Cargo, the Rust Package Manager
Version: 0.1.28
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
Description: Help is provided to run 'Cargo' <https://doc.rust-lang.org/cargo/> (the 'Rust' <https://www.rust-lang.org/> package manager).
    Other packages based on Rust can declare 'LinkingTo: cargo' in their DESCRIPTION file and then use Cargo during the installation of
    their source package.
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 3.5.0)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-03-16 23:45:57 UTC; dahl
Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2021-03-17 07:20:02 UTC

## cargo 0.1.29

=== DESCRIPTION ===
Package: cargo
Type: Package
Title: Download and Run Cargo, the Rust Package Manager
Version: 0.1.29
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
Description: Help is provided to run 'Cargo' <https://doc.rust-lang.org/cargo/> (the 'Rust' <https://www.rust-lang.org/> package manager).
    Other packages based on Rust can declare 'LinkingTo: cargo' in their DESCRIPTION file and then use Cargo during the installation of
    their source package.
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 3.5.0)
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-03-29 21:23:44 UTC; dahl
Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2021-03-29 22:00:02 UTC

## cargo 0.1.37

=== DESCRIPTION ===
Package: cargo
Title: Develop R Packages using Rust
Version: 0.1.37
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
Description: A framework is provided to transparently develop R packages using 'Rust' <https://www.rust-lang.org/> with
 minimal overhead, and more wrappers are easily added. Help is provided to run 'Cargo' <https://doc.rust-lang.org/cargo/> in a manner
 consistent with CRAN policies. Rust code can also be embedded directly in an R script.
URL: https://github.com/dbdahl/cargo-framework
BugReports: https://github.com/dbdahl/cargo-framework/issues
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.0.0)
Suggests: roxygen2 (>= 7.1.1), testthat (>= 3.0.4)
Encoding: UTF-8
RoxygenNote: 7.1.1
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-08-14 14:52:51 UTC; dahl
Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2021-08-14 19:50:02 UTC

## cargo 0.1.38

=== DESCRIPTION ===
Package: cargo
Title: Develop R Packages using Rust
Version: 0.1.38
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
Description: A framework is provided to transparently develop R packages using 'Rust' <https://www.rust-lang.org/> with
 minimal overhead, and more wrappers are easily added. Help is provided to run 'Cargo' <https://doc.rust-lang.org/cargo/> in a manner
 consistent with CRAN policies. Rust code can also be embedded directly in an R script.
URL: https://github.com/dbdahl/cargo-framework (repository),
        https://arxiv.org/pdf/2108.07179.pdf (paper)
BugReports: https://github.com/dbdahl/cargo-framework/issues
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.0.0)
Suggests: roxygen2 (>= 7.1.1), testthat (>= 3.0.4)
Encoding: UTF-8
RoxygenNote: 7.1.1
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-08-21 22:47:19 UTC; dahl
Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2021-08-22 04:40:02 UTC

## cargo 0.2.3

=== DESCRIPTION ===
Package: cargo
Title: Develop R Packages using Rust
Version: 0.2.3
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
Description: A framework is provided to transparently develop R packages using 'Rust' <https://www.rust-lang.org/> with
 minimal overhead, and more wrappers are easily added. Help is provided to run 'Cargo' <https://doc.rust-lang.org/cargo/> in a manner
 consistent with CRAN policies. Rust code can also be embedded directly in an R script. The package is not official, affiliated with,
 nor endorsed by the Rust project.
URL: https://github.com/dbdahl/cargo-framework (repository),
        https://arxiv.org/pdf/2108.07179.pdf (paper)
BugReports: https://github.com/dbdahl/cargo-framework/issues
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.0.0)
Suggests: roxygen2 (>= 7.1.2), testthat (>= 3.1.3)
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-04-26 23:54:32 UTC; dahl
Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2022-04-27 00:10:02 UTC

=== inst/template/DESCRIPTION ===
Package: X@X
Title: A Short Phrase in Title Case
Version: 0.1.0
Authors@R: c(person(given = "First", family = "Last", role = c("aut", "cre"),
                    email = "name@gmail.com", comment = c(ORCID = "ORCID-ID")))
Description: One paragraph description of what the package does.
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.2.0)
Imports: cargo (>=  0.2.0)
SystemRequirements: Cargo (>= 1.60) for installation from sources: see INSTALL file
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.2

## cargo 0.2.5

=== DESCRIPTION ===
Package: cargo
Title: Develop R Packages using Rust
Version: 0.2.5
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
Description: A framework is provided to develop R packages using 'Rust' <https://www.rust-lang.org/> with
 minimal overhead, and more wrappers are easily added. Help is provided to run 'Cargo' <https://doc.rust-lang.org/cargo/> in a manner
 consistent with CRAN policies. Rust code can also be embedded directly in an R script. The package is not official, affiliated with,
 nor endorsed by the Rust project.
URL: https://github.com/dbdahl/cargo-framework (repository),
        https://raw.githubusercontent.com/dbdahl/cargo-framework/main/cargo/inst/doc/Writing_R_Extensions_in_Rust.pdf
        (paper)
BugReports: https://github.com/dbdahl/cargo-framework/issues
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.0.0)
Suggests: roxygen2 (>= 7.2.0), testthat (>= 3.1.4)
Encoding: UTF-8
RoxygenNote: 7.2.0
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-06-19 00:55:55 UTC; dahl
Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2022-06-19 02:20:10 UTC

## cargo 0.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cargo
 Title: Develop R Packages using Rust
-Version: 0.2.5
+Version: 0.2.6
 Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
 Description: A framework is provided to develop R packages using 'Rust' <https://www.rust-lang.org/> with
  minimal overhead, and more wrappers are easily added. Help is provided to run 'Cargo' <https://doc.rust-lang.org/cargo/> in a manner
@@ -17,8 +17,8 @@
 RoxygenNote: 7.2.0
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-06-19 00:55:55 UTC; dahl
+Packaged: 2022-06-22 19:53:17 UTC; dahl
 Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
 Maintainer: David B. Dahl <dahl@stat.byu.edu>
 Repository: CRAN
-Date/Publication: 2022-06-19 02:20:10 UTC
+Date/Publication: 2022-06-22 22:30:09 UTC

=== inst/template/DESCRIPTION ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Description: One paragraph description of what the package does.
 License: MIT + file LICENSE | Apache License 2.0
 Depends: R (>= 4.2.0)
-Imports: cargo (>=  0.2.0)
-SystemRequirements: Cargo (>= 1.60) for installation from sources: see INSTALL file
+Imports: cargo (>=  0.2.4)
+SystemRequirements: Cargo (>= 1.61) for installation from sources: see INSTALL file
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0

## cargo 0.2.15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cargo
 Title: Develop R Packages using Rust
-Version: 0.2.6
+Version: 0.2.15
 Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
 Description: A framework is provided to develop R packages using 'Rust' <https://www.rust-lang.org/> with
  minimal overhead, and more wrappers are easily added. Help is provided to run 'Cargo' <https://doc.rust-lang.org/cargo/> in a manner
@@ -13,12 +13,13 @@
 License: MIT + file LICENSE | Apache License 2.0
 Depends: R (>= 4.0.0)
 Suggests: roxygen2 (>= 7.2.0), testthat (>= 3.1.4)
+SystemRequirements: Cargo [Rust package manager]
 Encoding: UTF-8
 RoxygenNote: 7.2.0
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-06-22 19:53:17 UTC; dahl
+Packaged: 2022-07-01 20:44:05 UTC; dahl
 Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
 Maintainer: David B. Dahl <dahl@stat.byu.edu>
 Repository: CRAN
-Date/Publication: 2022-06-22 22:30:09 UTC
+Date/Publication: 2022-07-01 22:20:02 UTC

=== inst/template/DESCRIPTION ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Description: One paragraph description of what the package does.
 License: MIT + file LICENSE | Apache License 2.0
 Depends: R (>= 4.2.0)
-Imports: cargo (>=  0.2.4)
-SystemRequirements: Cargo (>= 1.61) for installation from sources: see INSTALL file
+Imports: cargo (>= V@V)
+SystemRequirements: Cargo (>= 1.61) for installation from source: see INSTALL file
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.2.0

## cargo 0.3.0

=== url-0.2.35/Makefile ===
test:
	cargo test --features query_encoding
	cargo test

doc:
	cargo doc --features query_encoding
	@echo '<meta http-equiv=refresh content=0;url=url/index.html>' > target/doc/index.html
	@cp github.png target/doc/

upload-doc: doc
	test "$(TRAVIS_BRANCH)" = master
	test "$(TRAVIS_PULL_REQUEST)" = false
	sudo pip install ghp-import
	ghp-import -n target/doc
	git push -qf https://$(TOKEN)@github.com/$(TRAVIS_REPO_SLUG).git gh-pages

.PHONY: test doc upload-doc

=== debian/changelog ===
cargo (0.3.0-2) unstable; urgency=medium

  * Fix install target, removing arch-specific path

 -- Luca Bruno <lucab@debian.org>  Sat, 14 Nov 2015 19:46:57 +0100

cargo (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * First upload to unstable.
  * Update gbp.conf according to git repo structure.
  * patches: downgrade missing_docs lints to simple warnings
    to avoid build failures on newer rustc.

 -- Luca Bruno <lucab@debian.org>  Sat, 14 Nov 2015 17:29:15 +0100

cargo (0.3.0-0~exp1) experimental; urgency=low

  * Team upload.
  * Initial Debian release. (Closes: #786432)

 -- Luca Bruno <lucab@debian.org>  Tue, 11 Aug 2015 20:15:54 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
RUSTFLAGS = -C link-args="$(LDFLAGS)"
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS RUSTFLAGS

rust_cpu = $(subst i586,i686,$(1))
DEB_HOST_RUST_TYPE := $(call rust_cpu,$(DEB_HOST_GNU_CPU))-unknown-$(DEB_HOST_GNU_SYSTEM)
DEB_TARGET_RUST_TYPE := $(call rust_cpu,$(DEB_TARGET_GNU_CPU))-unknown-$(DEB_TARGET_GNU_SYSTEM)

# Cargo looks for config in and writes cache to $CARGO_HOME/
export CARGO_HOME = $(CURDIR)/debian/tmp/cargo-home
export GIT_AUTHOR_NAME="deb-build"
export GIT_AUTHOR_EMAIL="<>"
export GIT_COMMITTER_NAME="$(GIT_AUTHOR_NAME)"
export GIT_COMMITTER_EMAIL="$(GIT_AUTHOR_EMAIL)"

DEB_DESTDIR := $(CURDIR)/debian/tmp
INDEXDIR := $(CURDIR)/index
DEPSDIR := $(CURDIR)/deps

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	# crates index location must be an absolute URL
	sed -i.bak 's|--TOPDIR--|$(CURDIR)|' .cargo/config

override_dh_auto_build:
	# Bootstrap cargo stage0
	./debian/bootstrap.py \
		--no-clean \
		--no-clone \
		--crate-index $(INDEXDIR)/ \
		--cargo-root $(CURDIR)/ \
		--target-dir $(DEPSDIR)/ \
		--host=$(DEB_HOST_RUST_TYPE) \
		--target=$(DEB_TARGET_RUST_TYPE)
	ln -s $(DEPSDIR)/cargo-* $(DEPSDIR)/cargo-stage0
	# Walkaround - see https://github.com/rust-lang/cargo/issues/1423)
	tar -czf quilt-pc.tar.gz .pc
	$(RM) -r .pc
	# Walkaround - crates index must be a git repo
	cd $(INDEXDIR) && git init && git add . && git commit -m "Dummy commit"
	# Configure to build cargo using the just-built stage0
	./configure \
		--prefix=/usr \
		--disable-debug \
		--enable-optimize \
		--local-rust-root=/usr \
		--local-cargo=$(CURDIR)/deps/cargo-stage0
	# Build final cargo binary and docs
	$(MAKE)
	$(MAKE) doc
	# Restore from walkarounds
	-tar -xaf quilt-pc.tar.gz && $(RM) -r quilt-pc.tar.gz
	-$(RM) -r $(INDEXDIR)/.git

override_dh_auto_clean:
	-tar -xaf quilt-pc.tar.gz && $(RM) -r quilt-pc.tar.gz
	-mv .cargo/config.bak .cargo/config
	-$(RM) -r $(CURDIR)/deps/*.rlib \
			$(CURDIR)/deps/build_script* \
			$(CURDIR)/deps/cargo* \
			$(CURDIR)/deps/*.o \
			$(CURDIR)/target/
	-$(RM) -r $(INDEXDIR)/.git
	dh_auto_clean

override_dh_auto_install:
	# We pick stuff directly from target/

override_dh_auto_test:
	# we don't run tests at the moment

## cargo 0.4.2

=== DESCRIPTION ===
Package: cargo
Title: Develop R Packages using Rust
Version: 0.4.2
Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
Description: A framework is provided to develop R packages using 'Rust' <https://www.rust-lang.org/> with
 minimal overhead, and more wrappers are easily added. Help is provided to use 'Cargo' <https://doc.rust-lang.org/cargo/> in a manner
 consistent with CRAN policies. 'Rust' code can also be embedded directly in an R script. The package is not official, affiliated with,
 nor endorsed by the Rust project.
URL: https://github.com/dbdahl/cargo-framework (repository)
BugReports: https://github.com/dbdahl/cargo-framework/issues
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.2.0)
Suggests: roxygen2 (>= 7.2.3)
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2022-12-20 14:47:12 UTC; dahl
Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
Maintainer: David B. Dahl <dahl@stat.byu.edu>
Repository: CRAN
Date/Publication: 2022-12-21 00:40:06 UTC

=== inst/template/DESCRIPTION ===
Package: X@X
Title: A Short Phrase in Title Case
Version: 0.1.0
Authors@R: c(person(given = "First", family = "Last", role = c("aut", "cre"), email = "name@gmail.com", comment = c(ORCID = "ORCID-ID")),
    person(given = "David B.", family = "Dahl", email = "dahl@stat.byu.edu", role = "cph", comment = "Rust crates: roxido, roxido_macro. See AUTHORS file."),
    person(given = "Alex", family = "Crichton", email = "alex@alexcrichton.com", role = "cph", comment = "Rust crate: proc-macro2. See AUTHORS file."),
    person(given = "David", family = "Tolnay", email = "dtolnay@gmail.com", role = "cph", comment = "Rust crates: syn, proc-macro2, quote, unicode-ident. See AUTHORS file."),
    person(given = "Unicode, Inc.", role = "cph", comment = "Rust crate: unicode-ident. See AUTHORS file.")
    )
Description: One paragraph description of what the package does.
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.2.0)
SystemRequirements: Cargo (>= 1.56) for installation from source: see INSTALL file
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.0

## cargo 0.4.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cargo
 Title: Develop R Packages using Rust
-Version: 0.4.2
+Version: 0.4.9
 Authors@R: c(person(given="David B.",family="Dahl",role=c("aut","cre"),email="dahl@stat.byu.edu",comment=c(ORCID="0000-0002-8173-1547")))
 Description: A framework is provided to develop R packages using 'Rust' <https://www.rust-lang.org/> with
  minimal overhead, and more wrappers are easily added. Help is provided to use 'Cargo' <https://doc.rust-lang.org/cargo/> in a manner
@@ -14,8 +14,8 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-12-20 14:47:12 UTC; dahl
+Packaged: 2023-07-17 19:35:31 UTC; dahl
 Author: David B. Dahl [aut, cre] (<https://orcid.org/0000-0002-8173-1547>)
 Maintainer: David B. Dahl <dahl@stat.byu.edu>
 Repository: CRAN
-Date/Publication: 2022-12-21 00:40:06 UTC
+Date/Publication: 2023-07-17 20:20:05 UTC

=== inst/template/DESCRIPTION ===
Package: X@X
Title: A Short Phrase in Title Case
Version: 0.1.0
Authors@R: c(person(given = "First", family = "Last", role = c("aut", "cre"), email = "name@gmail.com", comment = c(ORCID = "ORCID-ID")),
    person(given = "David B.", family = "Dahl", email = "dahl@stat.byu.edu", role = "cph", comment = "Rust crates: roxido, roxido_macro."),
    person(given = "Alex", family = "Crichton", email = "alex@alexcrichton.com", role = "cph", comment = "Rust crate: proc-macro2."),
    person(given = "David", family = "Tolnay", email = "dtolnay@gmail.com", role = "cph", comment = "Rust crates: syn, proc-macro2, quote, unicode-ident."),
    person(given = "Unicode, Inc.", role = "cph", comment = "Rust crate: unicode-ident.")
    )
Description: One paragraph description of what the package does.
License: MIT + file LICENSE | Apache License 2.0
Depends: R (>= 4.2.0)
SystemRequirements: Cargo (Rust's package manager), rustc (>= 1.65)
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.3

## cargo 0.6.0

=== debian/changelog ===
cargo (0.6.0-2) unstable; urgency=medium

  * Introduce a cargo-doc package
  * Fails to build when wget is installed. Force curl
    (Closes: #809298)
  * Add the missing VCS- fields
  * Add myself among the uploaders

  [ Angus Lee ]
  * Use local jquery.js
  * Correct cargo-doc.doc-base paths to HTML docs

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Feb 2016 14:04:39 +0100

cargo (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
    + Updated deps tarball
    + Not shipping a registry index anymore
  * Refreshed bootstrap.py script
    + Skip optional dependencies in stage0
  * Added some crude pack/unpack helpers
  * copyright: cleaned up unused entries
  * rules: major update for new 0.6.0 bootstrap

 -- Luca Bruno <lucab@debian.org>  Fri, 04 Dec 2015 00:42:55 +0100

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
Priority: extra
Build-Depends: debhelper (>= 9),
               rustc (>= 1.1),
               curl,
               pkg-config,
               cmake,
               git,
               python-dulwich,
               python-pytoml,
               ca-certificates,
               bash-completion,
               libhttp-parser-dev,
               libcurl4-openssl-dev,
               libssh2-1-dev,
               libgit2-dev,
               libhttp-parser-dev,
               libssl-dev,
               zlib1g-dev
Homepage: https://crates.io/
Standards-Version: 3.9.6
Vcs-Git: git://git.debian.org/pkg-rust/cargo.git
Vcs-Browser: http://git.debian.org/?p=pkg-rust/cargo.git;a=summary

Package: cargo
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.1),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.


Package: cargo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
RUSTFLAGS = -C link-args="$(LDFLAGS)"
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS RUSTFLAGS

rust_cpu = $(subst i586,i686,$(1))
DEB_HOST_RUST_TYPE := $(call rust_cpu,$(DEB_HOST_GNU_CPU))-unknown-$(DEB_HOST_GNU_SYSTEM)
DEB_TARGET_RUST_TYPE := $(call rust_cpu,$(DEB_TARGET_GNU_CPU))-unknown-$(DEB_TARGET_GNU_SYSTEM)

# Cargo looks for config in and writes cache to $CARGO_HOME/
export CARGO_HOME = $(CURDIR)/.cargohome

DEB_DESTDIR := $(CURDIR)/debian/tmp
VENDORDIR := $(CURDIR)/vendor
INDEXDIR := $(CURDIR)/vendor/index
DEPSDIR := $(CURDIR)/deps

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	# Prepare a fake registry by packing all deps
	./debian/cargo-vendor-pack.py

override_dh_auto_build:
	# Bootstrap cargo stage0
	./debian/bootstrap.py \
		--no-clean \
		--no-clone \
		--no-git \
		--crate-index $(INDEXDIR)/ \
		--cargo-root $(CURDIR)/ \
		--target-dir $(DEPSDIR)/ \
		--host=$(DEB_HOST_RUST_TYPE) \
		--target=$(DEB_TARGET_RUST_TYPE)
	# Workaround for https://github.com/rust-lang/cargo/issues/1423
	mv $(DEPSDIR) $(CURDIR)/.deps
	ln -s `find  $(CURDIR)/.deps -name 'cargo-*' -type f -executable` $(CURDIR)/cargo-stage0
	# Configure to build cargo using the just-built stage0
	./configure \
		--prefix=/usr \
		--disable-debug \
		--enable-optimize \
		--local-rust-root=/usr \
		--local-cargo=$(CURDIR)/cargo-stage0
	# Build final cargo binary and docs
	$(MAKE)
	$(MAKE) doc
	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js

	# Restore from workarounds
	mv $(CURDIR)/.deps $(DEPSDIR)

override_dh_auto_clean:
	-mv $(CURDIR)/.deps $(DEPSDIR)
	-$(RM) -r $(CURDIR)/deps/*.rlib \
			$(CURDIR)/deps/build_script* \
			$(CURDIR)/deps/cargo* \
			$(CURDIR)/deps/*.o \
			$(CURDIR)/target/ \
			$(CURDIR)/cargo-stage0 \
			$(CARGO_HOME) \
			$(VENDORDIR)
	dh_auto_clean

override_dh_auto_install:
	# We pick stuff directly from target/

override_dh_auto_test:
	# we don't run tests at the moment due to too many deps

## cargo 0.7.0

=== debian/changelog ===
cargo (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
    + Updated deps tarball and repack filter
    + Refreshed patches
  * Fixes to debian packaging
    + Updated deps repack script
    + index packing: use the same TAR format as cargo
    + rules: ask cargo to build verbosely
  * Update README.source to match current packaging

 -- Luca Bruno <lucab@debian.org>  Sun, 14 Feb 2016 16:12:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>,
- Angus Lees <gus@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
+ Angus Lees <gus@debian.org>
 Priority: extra
 Build-Depends: debhelper (>= 9),
                rustc (>= 1.1),

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 # Cargo looks for config in and writes cache to $CARGO_HOME/
 export CARGO_HOME = $(CURDIR)/.cargohome
+# Ask cargo to be verbose when building
+export VERBOSE = 1
 
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 VENDORDIR := $(CURDIR)/vendor

## cargo 0.8.0

=== url-0.2.38/Makefile ===
test:
	cargo test --features query_encoding
	cargo test --features serde_serialization
	cargo test
	[ x$$TRAVIS_RUST_VERSION != xnightly ] || cargo test --features heap_size

doc:
	cargo doc --features "query_encoding serde_serialization"
	@echo '<meta http-equiv=refresh content=0;url=url/index.html>' > target/doc/index.html
	@cp github.png target/doc/

upload-doc: doc
	test "$(TRAVIS_BRANCH)" = master
	test "$(TRAVIS_PULL_REQUEST)" = false
	sudo pip install ghp-import
	ghp-import -n target/doc
	git push -qf https://$(TOKEN)@github.com/$(TRAVIS_REPO_SLUG).git gh-pages

.PHONY: test doc upload-doc

=== libgit2-sys-0.3.8/libgit2/CMakeLists.txt ===
# CMake build script for the libgit2 project
#
# Building (out of source build):
# > mkdir build && cd build
# > cmake .. [-DSETTINGS=VALUE]
# > cmake --build .
#
# Testing:
# > ctest -V
#
# Install:
# > cmake --build . --target install

PROJECT(libgit2 C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
CMAKE_POLICY(SET CMP0015 NEW)

# Add find modules to the path
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")

INCLUDE(CheckLibraryExists)
INCLUDE(CheckFunctionExists)
INCLUDE(AddCFlagIfSupported)
INCLUDE(FindPkgConfig)

# Build options
#
OPTION( SONAME				"Set the (SO)VERSION of the target"		ON  )
OPTION( BUILD_SHARED_LIBS	"Build Shared Library (OFF for Static)"	ON  )
OPTION( THREADSAFE			"Build libgit2 as threadsafe"			ON )
OPTION( BUILD_CLAR			"Build Tests using the Clar suite"		ON  )
OPTION( BUILD_EXAMPLES		"Build library usage example apps"		OFF )
OPTION( TAGS				"Generate tags"							OFF )
OPTION( PROFILE				"Generate profiling information"		OFF )
OPTION( ENABLE_TRACE		"Enables tracing support"				OFF )
OPTION( LIBGIT2_FILENAME	"Name of the produced binary"			OFF )

OPTION( USE_ICONV			"Link with and use iconv library" 		OFF )
OPTION( USE_SSH				"Link with libssh to enable SSH support" ON )
OPTION( USE_GSSAPI			"Link with libgssapi for SPNEGO auth"   OFF )
OPTION( VALGRIND			"Configure build for valgrind"			OFF )
OPTION( CURL			"User curl for HTTP if available" ON)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	SET( USE_ICONV ON )
	FIND_PACKAGE(Security)
	FIND_PACKAGE(CoreFoundation REQUIRED)
ENDIF()

IF(MSVC)
	# This option is only available when building with MSVC. By default, libgit2
	# is build using the cdecl calling convention, which is useful if you're
	# writing C. However, the CLR and Win32 API both expect stdcall.
	#
	# If you are writing a CLR program and want to link to libgit2, you'll want
	# to turn this on by invoking CMake with the "-DSTDCALL=ON" argument.
	OPTION( STDCALL			"Build libgit2 with the __stdcall convention"	OFF  )

	# This option must match the settings used in your program, in particular if you
	# are linking statically
	OPTION( STATIC_CRT		"Link the static CRT libraries"	ON  )

	# If you want to embed a copy of libssh2 into libgit2, pass a
	# path to libssh2
	OPTION( EMBED_SSH_PATH		"Path to libssh2 to embed (Windows)" OFF )

	ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
	ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE)
ENDIF()


IF(WIN32)
	# By default, libgit2 is built with WinHTTP.  To use the built-in
	# HTTP transport, invoke CMake with the "-DWINHTTP=OFF" argument.
	OPTION(	WINHTTP			"Use Win32 WinHTTP routines"	ON	)
ENDIF()

IF(MSVC)
	# Enable MSVC CRTDBG memory leak reporting when in debug mode.
	OPTION(MSVC_CRTDBG "Enable CRTDBG memory leak reporting" OFF)
ENDIF()

IF (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	OPTION( USE_OPENSSL                     "Link with and use openssl library"             ON )
ENDIF()

# This variable will contain the libraries we need to put into
# libgit2.pc's Requires.private. That is, what we're linking to or
# what someone who's statically linking us needs to link to.
SET(LIBGIT2_PC_REQUIRES "")
# This will be set later if we use the system's http-parser library or
# use iconv (OSX) and will be written to the Libs.private field in the
# pc file.
SET(LIBGIT2_PC_LIBS "")

# Installation paths
#
SET(BIN_INSTALL_DIR bin CACHE PATH "Where to install binaries to.")
SET(LIB_INSTALL_DIR lib CACHE PATH "Where to install libraries to.")
SET(INCLUDE_INSTALL_DIR include CACHE PATH "Where to install headers to.")

# Set a couple variables to be substituted inside the .pc file.
# We can't just use LIB_INSTALL_DIR in the .pc file, as passing them as absolue
# or relative paths is both valid and supported by cmake.
SET (PKGCONFIG_PREFIX ${CMAKE_INSTALL_PREFIX})

IF(IS_ABSOLUTE ${LIB_INSTALL_DIR})
  SET (PKGCONFIG_LIBDIR ${LIB_INSTALL_DIR})
ELSE(IS_ABSOLUTE ${LIB_INSTALL_DIR})
  SET (PKGCONFIG_LIBDIR "\${prefix}/${LIB_INSTALL_DIR}")
ENDIF (IS_ABSOLUTE ${LIB_INSTALL_DIR})

IF(IS_ABSOLUTE ${INCLUDE_INSTALL_DIR})
  SET (PKGCONFIG_INCLUDEDIR ${INCLUDE_INSTALL_DIR})
ELSE(IS_ABSOLUTE ${INCLUDE_INSTALL_DIR})
  SET (PKGCONFIG_INCLUDEDIR "\${prefix}/${INCLUDE_INSTALL_DIR}")
ENDIF(IS_ABSOLUTE ${INCLUDE_INSTALL_DIR})

FUNCTION(TARGET_OS_LIBRARIES target)
	IF(WIN32)
		TARGET_LINK_LIBRARIES(${target} ws2_32)
	ELSEIF(CMAKE_SYSTEM_NAME MATCHES "(Solaris|SunOS)")
		TARGET_LINK_LIBRARIES(${target} socket nsl)
		LIST(APPEND LIBGIT2_PC_LIBS "-lsocket" "-lnsl")
		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
	ENDIF()
	CHECK_LIBRARY_EXISTS(rt clock_gettime "time.h" NEED_LIBRT)
	IF(NEED_LIBRT)
		TARGET_LINK_LIBRARIES(${target} rt)
		LIST(APPEND LIBGIT2_PC_LIBS "-lrt")
		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
	ENDIF()

	IF(THREADSAFE)
		TARGET_LINK_LIBRARIES(${target} ${CMAKE_THREAD_LIBS_INIT})
	ENDIF()
ENDFUNCTION()

# For the MSVC IDE, this function splits up the source files like windows
# explorer does. This is esp. useful with the libgit2_clar project, were
# usually 2 or more files share the same name.  Sadly, this file grouping
# is a per-directory option in cmake and not per-target, resulting in
# empty virtual folders "tests" for the git2.dll
FUNCTION(MSVC_SPLIT_SOURCES target)
	IF(MSVC_IDE)
		GET_TARGET_PROPERTY(sources ${target} SOURCES)
		FOREACH(source ${sources})
			IF(source MATCHES ".*/")
				STRING(REPLACE ${CMAKE_CURRENT_SOURCE_DIR}/ "" rel ${source})
				IF(rel)
					STRING(REGEX REPLACE "/([^/]*)$" "" rel ${rel})
					IF(rel)
						STRING(REPLACE "/" "\\\\" rel ${rel})
						SOURCE_GROUP(${rel} FILES ${source})
					ENDIF()
				ENDIF()
			ENDIF()
		ENDFOREACH()
	ENDIF()
ENDFUNCTION()

FILE(STRINGS "include/git2/version.h" GIT2_HEADER REGEX "^#define LIBGIT2_VERSION \"[^\"]*\"$")

STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"([0-9]+).*$" "\\1" LIBGIT2_VERSION_MAJOR "${GIT2_HEADER}")
STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"[0-9]+\\.([0-9]+).*$" "\\1" LIBGIT2_VERSION_MINOR  "${GIT2_HEADER}")
STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"[0-9]+\\.[0-9]+\\.([0-9]+).*$" "\\1" LIBGIT2_VERSION_REV "${GIT2_HEADER}")
SET(LIBGIT2_VERSION_STRING "${LIBGIT2_VERSION_MAJOR}.${LIBGIT2_VERSION_MINOR}.${LIBGIT2_VERSION_REV}")

FILE(STRINGS "include/git2/version.h" GIT2_HEADER_SOVERSION REGEX "^#define LIBGIT2_SOVERSION [0-9]+$")
STRING(REGEX REPLACE "^.*LIBGIT2_SOVERSION ([0-9]+)$" "\\1" LIBGIT2_SOVERSION "${GIT2_HEADER_SOVERSION}")

# Find required dependencies
INCLUDE_DIRECTORIES(src include)

IF (SECURITY_FOUND)
  # OS X 10.7 and older do not have some functions we use, fall back to OpenSSL there
  CHECK_LIBRARY_EXISTS("${SECURITY_DIRS}" SSLCreateContext "Security/SecureTransport.h" HAVE_NEWER_SECURITY)
  IF (HAVE_NEWER_SECURITY)
    MESSAGE("-- Found Security ${SECURITY_DIRS}")
    LIST(APPEND LIBGIT2_PC_LIBS "-framework Security")
  ELSE()
    MESSAGE("-- Security framework is too old, falling back to OpenSSL")
    SET(SECURITY_FOUND "NO")
    SET(SECURITY_DIRS "")
    SET(SECURITY_DIR "")
    SET(USE_OPENSSL "ON")
  ENDIF()
ENDIF()

IF (COREFOUNDATION_FOUND)
  MESSAGE("-- Found CoreFoundation ${COREFOUNDATION_DIRS}")
  LIST(APPEND LIBGIT2_PC_LIBS "-framework CoreFoundation")
ENDIF()


IF (WIN32 AND EMBED_SSH_PATH)
	FILE(GLOB SRC_SSH "${EMBED_SSH_PATH}/src/*.c")
	INCLUDE_DIRECTORIES("${EMBED_SSH_PATH}/include")
	FILE(WRITE "${EMBED_SSH_PATH}/src/libssh2_config.h" "#define HAVE_WINCNG\n#define LIBSSH2_WINCNG\n#include \"../win32/libssh2_config.h\"")
	ADD_DEFINITIONS(-DGIT_SSH)
ENDIF()

IF (WIN32 AND WINHTTP)
	ADD_DEFINITIONS(-DGIT_WINHTTP)
	INCLUDE_DIRECTORIES(deps/http-parser)
	FILE(GLOB SRC_HTTP deps/http-parser/*.c deps/http-parser/*.h)

	# Since MinGW does not come with headers or an import library for winhttp,
	# we have to include a private header and generate our own import library
	IF (MINGW)
		FIND_PROGRAM(DLLTOOL dlltool CMAKE_FIND_ROOT_PATH_BOTH)
		IF (NOT DLLTOOL)
			MESSAGE(FATAL_ERROR "Could not find dlltool command")
		ENDIF ()

		SET(LIBWINHTTP_PATH "${CMAKE_CURRENT_BINARY_DIR}/deps/winhttp")
		FILE(MAKE_DIRECTORY ${LIBWINHTTP_PATH})

		IF ("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
			set(WINHTTP_DEF "${CMAKE_CURRENT_SOURCE_DIR}/deps/winhttp/winhttp64.def")
		ELSE()
			set(WINHTTP_DEF "${CMAKE_CURRENT_SOURCE_DIR}/deps/winhttp/winhttp.def")
		ENDIF()

		ADD_CUSTOM_COMMAND(
			OUTPUT ${LIBWINHTTP_PATH}/libwinhttp.a
			COMMAND ${DLLTOOL} -d ${WINHTTP_DEF} -k -D winhttp.dll -l libwinhttp.a
			DEPENDS ${WINHTTP_DEF}
			WORKING_DIRECTORY ${LIBWINHTTP_PATH}
		)

		SET_SOURCE_FILES_PROPERTIES(
			${CMAKE_CURRENT_SOURCE_DIR}/src/transports/winhttp.c
			PROPERTIES OBJECT_DEPENDS ${LIBWINHTTP_PATH}/libwinhttp.a
		)

		INCLUDE_DIRECTORIES(deps/winhttp)
		LINK_DIRECTORIES(${LIBWINHTTP_PATH})
	ENDIF ()

	LINK_LIBRARIES(winhttp rpcrt4 crypt32)
ELSE ()
	IF (CURL)
		PKG_CHECK_MODULES(CURL libcurl)
	ENDIF ()

	IF (NOT AMIGA AND USE_OPENSSL)
		FIND_PACKAGE(OpenSSL)
	ENDIF ()

	IF (CURL_FOUND)
		ADD_DEFINITIONS(-DGIT_CURL)
		INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
		LINK_LIBRARIES(${CURL_LIBRARIES})
		LIST(APPEND LIBGIT2_PC_LIBS ${CURL_LDFLAGS})
	ENDIF()

	FIND_PACKAGE(HTTP_Parser)
	IF (HTTP_PARSER_FOUND AND HTTP_PARSER_VERSION_MAJOR EQUAL 2)
		INCLUDE_DIRECTORIES(${HTTP_PARSER_INCLUDE_DIRS})
		LINK_LIBRARIES(${HTTP_PARSER_LIBRARIES})
		LIST(APPEND LIBGIT2_PC_LIBS "-lhttp_parser")
	ELSE()
		MESSAGE(STATUS "http-parser was not found or is too old; using bundled 3rd-party sources.")
		INCLUDE_DIRECTORIES(deps/http-parser)
		FILE(GLOB SRC_HTTP deps/http-parser/*.c deps/http-parser/*.h)
	ENDIF()
ENDIF()

# Specify sha1 implementation
IF (WIN32 AND NOT MINGW AND NOT SHA1_TYPE STREQUAL "builtin")
	ADD_DEFINITIONS(-DWIN32_SHA1)
	FILE(GLOB SRC_SHA1 src/hash/hash_win32.c)
ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	ADD_DEFINITIONS(-DGIT_COMMON_CRYPTO)
ELSEIF (OPENSSL_FOUND AND NOT SHA1_TYPE STREQUAL "builtin")
	ADD_DEFINITIONS(-DOPENSSL_SHA1)
	IF (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		LIST(APPEND LIBGIT2_PC_LIBS "-lssl")
	ELSE()
		SET(LIBGIT2_PC_REQUIRES "${LIBGIT2_PC_REQUIRES} openssl")
	ENDIF ()
ELSE()
	FILE(GLOB SRC_SHA1 src/hash/hash_generic.c)
ENDIF()

# Enable tracing
IF (ENABLE_TRACE STREQUAL "ON")
	ADD_DEFINITIONS(-DGIT_TRACE)
ENDIF()

# Include POSIX regex when it is required
IF(WIN32 OR AMIGA OR CMAKE_SYSTEM_NAME MATCHES "(Solaris|SunOS)")
	INCLUDE_DIRECTORIES(deps/regex)
	SET(SRC_REGEX deps/regex/regex.c)
ENDIF()

# Optional external dependency: zlib
FIND_PACKAGE(ZLIB)
IF (ZLIB_FOUND)
	INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
	LINK_LIBRARIES(${ZLIB_LIBRARIES})
	IF(APPLE OR CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		LIST(APPEND LIBGIT2_PC_LIBS "-lz")
	ELSE()
		SET(LIBGIT2_PC_REQUIRES "${LIBGIT2_PC_REQUIRES} zlib")
	ENDIF()
ELSE()
	MESSAGE(STATUS "zlib was not found; using bundled 3rd-party sources." )
	INCLUDE_DIRECTORIES(deps/zlib)
	ADD_DEFINITIONS(-DNO_VIZ -DSTDC -DNO_GZIP)
	FILE(GLOB SRC_ZLIB deps/zlib/*.c deps/zlib/*.h)
ENDIF()

# Optional external dependency: libssh2
IF (USE_SSH)
	PKG_CHECK_MODULES(LIBSSH2 libssh2)
ENDIF()
IF (LIBSSH2_FOUND)
	ADD_DEFINITIONS(-DGIT_SSH)
	INCLUDE_DIRECTORIES(${LIBSSH2_INCLUDE_DIRS})
	LINK_DIRECTORIES(${LIBSSH2_LIBRARY_DIRS})
	LIST(APPEND LIBGIT2_PC_LIBS ${LIBSSH2_LDFLAGS})
	#SET(LIBGIT2_PC_LIBS "${LIBGIT2_PC_LIBS} ${LIBSSH2_LDFLAGS}")
	SET(SSH_LIBRARIES ${LIBSSH2_LIBRARIES})

	CHECK_LIBRARY_EXISTS("${LIBSSH2_LIBRARIES}" libssh2_userauth_publickey_frommemory "${LIBSSH2_LIBRARY_DIRS}" HAVE_LIBSSH2_MEMORY_CREDENTIALS)
	IF (HAVE_LIBSSH2_MEMORY_CREDENTIALS)
		ADD_DEFINITIONS(-DGIT_SSH_MEMORY_CREDENTIALS)
	ENDIF()
ELSE()
	MESSAGE(STATUS "LIBSSH2 not found. Set CMAKE_PREFIX_PATH if it is installed outside of the default search path.")
ENDIF()

# Optional external dependency: libgssapi
IF (USE_GSSAPI)
	FIND_PACKAGE(GSSAPI)
ENDIF()
IF (GSSAPI_FOUND)
	ADD_DEFINITIONS(-DGIT_GSSAPI)
ENDIF()

# Optional external dependency: iconv
IF (USE_ICONV)
	FIND_PACKAGE(Iconv)
ENDIF()
IF (ICONV_FOUND)
	ADD_DEFINITIONS(-DGIT_USE_ICONV)

=== debian/changelog ===
cargo (0.8.0-2) unstable; urgency=low

  * Prefer libcurl4-gnutls-dev for building (Closes: #819831)

 -- Luca Bruno <lucab@debian.org>  Tue, 05 Apr 2016 22:23:44 +0200

cargo (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
    + Updated deps tarball
    + Refreshed patches
  * cargo: removed unused lintian overrides

 -- Luca Bruno <lucab@debian.org>  Sat, 05 Mar 2016 22:39:06 +0100

cargo (0.7.0-2) unstable; urgency=medium

  * Bump standards version
  * cargo:
    + add a new stage2 profile
    + preserve original Cargo.lock for clean
    + clean environment to allow multiple builds
  * cargo-doc:
    + update docbase paths after package split
    + do not reference remote jquery
    + do not build under nodoc profile
  * control: update build-deps for build-profiles

 -- Luca Bruno <lucab@debian.org>  Thu, 03 Mar 2016 22:18:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,29 @@
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>
 Priority: extra
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20141010),
+               dpkg-dev (>= 1.17.14),
                rustc (>= 1.1),
                curl,
                pkg-config,
                cmake,
                git,
-               python-dulwich,
-               python-pytoml,
+               cargo (>= 0.7.0) <stage2>,
+               python-dulwich <!stage2>,
+               python-pytoml <!stage2>,
                ca-certificates,
                bash-completion,
                libhttp-parser-dev,
-               libcurl4-openssl-dev,
+               libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
                libgit2-dev,
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev
 Homepage: https://crates.io/
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/pkg-rust/cargo.git
-Vcs-Browser: http://git.debian.org/?p=pkg-rust/cargo.git;a=summary
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
 
 Package: cargo
 Architecture: any
@@ -52,6 +54,7 @@
 Package: cargo-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends: ${misc:Depends}, libjs-jquery
 Description: Rust package manager, documentation
  Cargo is a tool that allows Rust projects to declare their various

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,16 @@
 	dh $@ --with bash-completion
 
 override_dh_auto_configure:
+	cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
 	# Prepare a fake registry by packing all deps
 	./debian/cargo-vendor-pack.py
 
 override_dh_auto_build:
+ifneq ($(filter stage2,$(DEB_BUILD_PROFILES)),)
+	ln -s `which cargo` $(CURDIR)/cargo-stage0
+	# Workaround for https://github.com/rust-lang/cargo/issues/1423
+	mv $(DEPSDIR) $(CURDIR)/.deps
+else
 	# Bootstrap cargo stage0
 	./debian/bootstrap.py \
 		--no-clean \
@@ -40,7 +46,8 @@
 		--target=$(DEB_TARGET_RUST_TYPE)
 	# Workaround for https://github.com/rust-lang/cargo/issues/1423
 	mv $(DEPSDIR) $(CURDIR)/.deps
-	ln -s `find  $(CURDIR)/.deps -name 'cargo-*' -type f -executable` $(CURDIR)/cargo-stage0
+	ln -s `find $(CURDIR)/.deps -name 'cargo-*' -type f -executable` $(CURDIR)/cargo-stage0
+endif
 	# Configure to build cargo using the just-built stage0
 	./configure \
 		--prefix=/usr \
@@ -50,23 +57,30 @@
 		--local-cargo=$(CURDIR)/cargo-stage0
 	# Build final cargo binary and docs
 	$(MAKE)
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	$(MAKE) doc
 	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js
+endif
 
 	# Restore from workarounds
 	mv $(CURDIR)/.deps $(DEPSDIR)
 
 override_dh_auto_clean:
+	-mv $(CURDIR)/.Cargo.lock.orig $(CURDIR)/Cargo.lock
 	-mv $(CURDIR)/.deps $(DEPSDIR)
+	dh_auto_clean
 	-$(RM) -r $(CURDIR)/deps/*.rlib \
 			$(CURDIR)/deps/build_script* \
 			$(CURDIR)/deps/cargo* \
 			$(CURDIR)/deps/*.o \
 			$(CURDIR)/target/ \
+			$(CURDIR)/.cargo/ \
+			$(CURDIR)/config.mk \
+			$(CURDIR)/config.stamp \
+			$(CURDIR)/Makefile \
 			$(CURDIR)/cargo-stage0 \
 			$(CARGO_HOME) \
 			$(VENDORDIR)
-	dh_auto_clean
 
 override_dh_auto_install:
 	# We pick stuff directly from target/

## cargo 0.9.0

=== debian/changelog ===
cargo (0.9.0-1) unstable; urgency=medium

  * New upstream version
    + Fix deprecation errors (Closes: #822178, #823652)
    + Updated deps tarball
    + Refreshed patches

 -- Luca Bruno <lucab@debian.org>  Sat, 07 May 2016 17:56:28 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libssl-dev,
                zlib1g-dev
 Homepage: https://crates.io/
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
